Difference between revisions of "8.40.4"

From cchtml.com
Jump to: navigation, search
(New page: = 8.40.4 = == Symptom == Kernel 2.6.21 (including) and up: the kernel module fglrx.ko will not be built ... and the ATI installer wont tell you, it has not. == Reason == ATI kernel mo...)
 
Line 1: Line 1:
= 8.40.4 =
+
ATI Linux fglrx driver version 8.40.4
 +
 
 +
Release Date: 8-13-2007
  
 
== Symptom ==
 
== Symptom ==
Line 15: Line 17:
 
b) Modify the MODULE_LICENSE String in the kernel module to "GPL"
 
b) Modify the MODULE_LICENSE String in the kernel module to "GPL"
  
 +
==External links==
 +
* [http://www2.ati.com/drivers/linux/ati-driver-installer-8.40.4-x86.x86_64.run Installer] ([https://www2.ati.com/drivers/linux/ati-driver-installer-8.40.4-x86.x86_64.run HTTPS])
 +
* [http://www2.ati.com/drivers/linux/linux_8.40.4.html Release notes] ([https://www2.ati.com/drivers/linux/linux_8.40.4.html HTTPS])
 +
* [http://ati.amd.com/products/catalyst/linux.html fglrx FAQ] ([https://ati.amd.com/products/catalyst/linux.html HTTPS])
  
Yours,
+
[[Category:Releases]]
 
+
Dr. Nikolaus Klepp
+

Revision as of 09:17, 20 August 2007

ATI Linux fglrx driver version 8.40.4

Release Date: 8-13-2007

Contents

Symptom

Kernel 2.6.21 (including) and up: the kernel module fglrx.ko will not be built ... and the ATI installer wont tell you, it has not.

Reason

ATI kernel module has non-GPL License. Kernel build system has restricted the usage of some functions to GPL-only modules. So the kernel module won't be compile.

Solution

a) Go kick ATI to buld a GPL compatible kernel module.

b) Modify the MODULE_LICENSE String in the kernel module to "GPL"

External links